Bug 124809 - Narrowed Preview and Cut Off Icon In Customize Icon Dialogue
Summary: Narrowed Preview and Cut Off Icon In Customize Icon Dialogue
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2019-04-18 04:15 UTC by Rizal Muttaqin
Modified: 2019-04-24 03:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The Icons Are Cut Off (Above: 6.2, Below: 6.3 Daily) (59.69 KB, image/jpeg)
2019-04-18 04:15 UTC, Rizal Muttaqin
Details
Extra Large Icon Cut Off (16.97 KB, image/jpeg)
2019-04-18 04:16 UTC, Rizal Muttaqin
Details
how it looks after the fix (48.44 KB, image/png)
2019-04-23 11:50 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2019-04-18 04:15:30 UTC
Created attachment 150839 [details]
The Icons Are Cut Off (Above: 6.2, Below: 6.3 Daily)

Tools > Customize > Toolbars tab > select one function > Change Icon..

Here the large size icon looks cut off and the preview area looks tighter.


When using extra large icon, in the Customize dialogue looks cut off also.
Comment 1 Rizal Muttaqin 2019-04-18 04:16:32 UTC
Created attachment 150840 [details]
Extra Large Icon Cut Off

Here the extra large icons are also cut off
Comment 2 Heiko Tietze 2019-04-18 07:33:20 UTC
Xisco, please do your bibisecting magic.
Comment 3 Xisco Faulí 2019-04-18 09:04:44 UTC
Regression from:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=91548e11b37f52aed476996d7d97ad2b45e43ed5

author	Caolán McNamara <caolanm@redhat.com>	2019-03-01 17:22:49 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-03-02 14:05:50 +0100
commit	91548e11b37f52aed476996d7d97ad2b45e43ed5 (patch)
tree	48a92754b723b3d41a19e2bc014cd250279e6580
parent	0887551123df339cb6e5a2fdad470963c6dc1229 (diff)
weld SvxIconSelectorDialog

Bisected with: bibisect-linux64-6.3

Adding Cc: to Caolán McNamara
Comment 4 Caolán McNamara 2019-04-18 14:35:40 UTC
Two issues here. https://gerrit.libreoffice.org/#/c/70939/ for the first on wrt too tight spacing in the select icon dialog
Comment 5 Caolán McNamara 2019-04-18 15:13:53 UTC
https://gerrit.libreoffice.org/#/c/70942/ for the second issue
Comment 6 Commit Notification 2019-04-18 16:33:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c9956772ec0678498515fb60dca41e9a77457f86%5E%21

Resolves: tdf#124809 spacing ignored unless WB_ITEMBORDER is set

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-04-18 20:30:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/592ec4b9949818944a471a6d0efe821605957f29%5E%21

Related: tdf#124809 cannot assume that icon size is same as checkbox size

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-04-23 11:50:49 UTC
Created attachment 150943 [details]
how it looks after the fix
Comment 9 Xisco Faulí 2019-04-23 11:51:24 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: b34786d2774b261be48de92f65a5d0aa3c32b289
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!
Comment 10 Rizal Muttaqin 2019-04-24 03:35:03 UTC
Thank you Caolán for the patch. Anyway it would be better if the extra square area were removed.